%define	upstream_name	 Digest-SHA
%define upstream_version 6.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Perl extension for SHA-1/224/256/384/512
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Digest/%{upstream_name}-%{upstream_version}.tar.gz
# Since 5.80, upstream overrides CFLAGS because they think it improves
# performance. Revert it.
Patch0:     Digest-SHA-5.93-Reset-CFLAGS.patch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
Conflicts:  perl-Digest-SHA-PurePerl < 5.610.0-2.mga

%{?perl_default_filter}
# (tv) perl-base is enough:
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl.*5.0

%description
Digest::SHA is a complete implementation of the NIST Secure Hash Standard. It
gives Perl programmers a convenient way to calculate SHA-1, SHA-224, SHA-256,
SHA-384, SHA-512, SHA-512/224, and SHA-512/256 message digests. The module can
handle all types of input, including partial-byte data.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%install
%make_install
# to prevent conflict with perl-Digest-SHA
mv %{buildroot}/%{_bindir}/shasum %{buildroot}/%{_bindir}/shasum-%{upstream_version}
mv %{buildroot}/%{_mandir}/man1/shasum.1 %{buildroot}/%{_mandir}/man1/shasum-%{upstream_version}.1

%check
make test

%files
%doc Changes META.yml MYMETA.yml README examples
%{perl_vendorarch}/Digest
%{perl_vendorarch}/auto/Digest
%{_mandir}/*/*
%{_bindir}/*

%changelog
* Sat Aug 13 2022 tv <tv> 6.30.0-1.mga9
+ Revision: 1877437
- update to 6.03

* Tue Jun 07 2022 umeabot <umeabot> 6.20.0-10.mga9
+ Revision: 1861872
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 6.20.0-9.mga9
+ Revision: 1795726
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 6.20.0-8.mga9
+ Revision: 1726567
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 6.20.0-7.mga8
+ Revision: 1594569
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 6.20.0-6.mga8
+ Revision: 1529462
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 6.20.0-5.mga8
+ Revision: 1433554
- rebuild for perl 5.30

* Tue Nov 27 2018 tv <tv> 6.20.0-4.mga7
+ Revision: 1336028
- use std macros
- Revert upstream overriding CFLAGS because they think it improves perf
- update description

* Tue Nov 27 2018 tv <tv> 6.20.0-3.1.mga7
+ Revision: 1336007
- perl-base is enough (related to mga#23894)

* Fri Sep 21 2018 umeabot <umeabot> 6.20.0-3.mga7
+ Revision: 1292824
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 6.20.0-2.mga7
+ Revision: 1249121
- Rebuild for perl 5.28

* Mon Apr 23 2018 shlomif <shlomif> 6.20.0-1.mga7
+ Revision: 1221544
- update to 6.02

* Tue Dec 26 2017 shlomif <shlomif> 6.10.0-1.mga7
+ Revision: 1185263
- update to 6.01

* Sun Dec 10 2017 shlomif <shlomif> 6.0.0-1.mga7
+ Revision: 1182007
- update to 6.00

* Tue Oct 24 2017 shlomif <shlomif> 5.980.0-1.mga7
+ Revision: 1173473
- update to 5.98

* Mon Oct 02 2017 tv <tv> 5.970.0-2.mga7
+ Revision: 1164085
- rebuild with fixed rpm for missing autodeps

* Tue Sep 19 2017 tv <tv> 5.970.0-1.mga7
+ Revision: 1155907
- update to 5.97

* Thu Aug 31 2017 pterjan <pterjan> 5.950.0-6.mga7
+ Revision: 1148873
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 5.950.0-5.mga7
+ Revision: 1126759
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 5.950.0-4.mga6
+ Revision: 1025796
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 5.950.0-3.mga6
+ Revision: 957234
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 tv <tv> 5.950.0-2.mga6
+ Revision: 843610
- rebuild with soname-ified perl

* Mon Jun 22 2015 sander85 <sander85> 5.950.0-1.mga6
+ Revision: 839374
- update to 5.95

* Sun Oct 19 2014 umeabot <umeabot> 5.920.0-5.mga5
+ Revision: 790670
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 5.920.0-4.mga5
+ Revision: 744180
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 5.920.0-3.mga5
+ Revision: 735616
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 5.920.0-2.mga5
+ Revision: 684369
- Mageia 5 Mass Rebuild

* Wed Jun 04 2014 sander85 <sander85> 5.920.0-1.mga5
+ Revision: 632932
- update to 5.92

* Tue Jun 03 2014 pterjan <pterjan> 5.910.0-2.mga5
+ Revision: 631129
- Rebuild for perl 5.20

* Tue May 20 2014 jquelin <jquelin> 5.910.0-1.mga5
+ Revision: 624155
- update to 5.91

* Fri Apr 25 2014 jquelin <jquelin> 5.890.0-1.mga5
+ Revision: 617758
- update to 5.89

* Thu Mar 20 2014 jquelin <jquelin> 5.880.0-1.mga5
+ Revision: 606051
- update to 5.88

* Tue Feb 25 2014 jquelin <jquelin> 5.870.0-1.mga5
+ Revision: 596800
- update to 5.87

* Mon Feb 10 2014 jquelin <jquelin> 5.860.0-1.mga5
+ Revision: 587920
- update to 5.86

* Sat Oct 19 2013 umeabot <umeabot> 5.850.0-2.mga4
+ Revision: 529466
- Mageia 4 Mass Rebuild

* Tue Jul 09 2013 jquelin <jquelin> 5.850.0-1.mga4
+ Revision: 451885
- update to 5.85

* Mon Jun 03 2013 jquelin <jquelin> 5.840.0-1.mga4
+ Revision: 436397
- update to 5.84

* Wed May 29 2013 jquelin <jquelin> 5.800.0-5.mga4
+ Revision: 430680
- perl 5.18.0 rebuild

* Wed May 29 2013 tv <tv> 5.800.0-4.mga4
+ Revision: 430010
- rebuild for new perl

* Wed Mar 27 2013 jquelin <jquelin> 5.800.0-3.mga3
+ Revision: 405470
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 5.800.0-2.mga3
+ Revision: 365933
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 5.800.0-1.mga3
+ Revision: 341869
- update to 5.80

* Wed Nov 07 2012 jquelin <jquelin> 5.730.0-1.mga3
+ Revision: 315498
- update to 5.73

* Wed Sep 26 2012 jquelin <jquelin> 5.720.0-1.mga3
+ Revision: 297941
- update to 5.72

* Wed May 30 2012 jquelin <jquelin> 5.710.0-2.mga3
+ Revision: 250579
- rebuild for perl 5.16

* Tue Mar 06 2012 jquelin <jquelin> 5.710.0-1.mga2
+ Revision: 219769
- update to 5.71

* Thu Dec 15 2011 jquelin <jquelin> 5.700.0-1.mga2
+ Revision: 181837
- update to 5.70

* Thu Nov 10 2011 kharec <kharec> 5.630.0-1.mga2
+ Revision: 166319
- update to 5.63

* Fri Nov 04 2011 jquelin <jquelin> 5.620.0-2.mga2
+ Revision: 162803
- take priority over module bundled with perl 5.14.2

* Wed Jun 22 2011 jquelin <jquelin> 5.620.0-1.mga2
+ Revision: 112097
- update to 5.62
- perl 5.14

* Sat Jun 11 2011 jquelin <jquelin> 5.610.0-3.mga2
+ Revision: 103467
- bump mkrel
- fixing conflicts with perl-base

* Mon Apr 04 2011 jquelin <jquelin> 5.610.0-2.mga1
+ Revision: 80346
- fix bug#607 - urpmi hints to upgrade perl-Digest-SHA & perl-Digest-SHA-PurePerl in same transaction

* Thu Mar 10 2011 jquelin <jquelin> 5.610.0-1.mga1
+ Revision: 67615
- update to 5.61

* Wed Mar 09 2011 jquelin <jquelin> 5.600.0-1.mga1
+ Revision: 66958
- update to 5.60

* Tue Jan 18 2011 blino <blino> 5.500.0-2.mga1
+ Revision: 23264
- rebuild for new perl

* Wed Jan 12 2011 jquelin <jquelin> 5.500.0-1.mga1
+ Revision: 7361
- imported package perl-Digest-SHA

